Web Home
Getting Started
Manual
Quick Reference
Language Reference
Function Reference
I/O Reference

Language Reference Function Reference Including Source Files Comments Issuing Shell Commands Matrix Multiplication Information About Variables Elementary Functions Advanced Array Indexing Index Range Functions Logical Functions Interpolation and Lookup Functions Sorting Transposing Manipulating Strings Generating Simple Meshes Using Pointers Instancing Data Structures Reshaping Arrays I/O Reference | # Yorick Function Reference ## Information About Variables
`print, var1, var2, ...` | print the values of the varI
`info, var` | print a description of var
`dimsof(x)` | returns [#dimensions, length1, length2, ...]
`orgsof(x)` | returns [#dimensions, origin1, origin2, ...]
`numberof(x)` | returns number of elements (product of `dimsof`)
`typeof(x)` | returns name of data type of x
`structof(x)` | returns data type of x
`is_array(x )` | returns 1 if x is an array, else 0
`is_func(x)` | returns 1 or 2 if x is an function, else 0
`is_void(x )` | returns 1 if x is nil, else 0
`is_range(x)` | returns 1 if x is an index range, else 0
`is_stream(x)` | returns 1 if x is a binary file, else 0
`am_subroutine()` | 1 if current function invoked as subroutine
The `print` function returns a string array of one string per line if it is invoked as a function. Using `print` on files, bookmarks, and other objects usually produces some sort of useful description. Also, `print` is the default function, so that expr is equivalent to `print,` expr (if expr is not a function).